package com.huimv.production.controller;

import com.huimv.production.domain.IndexBoardEntity;
import com.huimv.production.result.Result;
import com.huimv.production.service.IndexBoardService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.production.controller
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/3/5 0005 10:55
 **/
@RestController

@RequestMapping("/board")
public class IndexBoardController {

    @Autowired
    private IndexBoardService boardService;

    @RequestMapping("/add")
    public Result add(IndexBoardEntity BoardEntity){
        return boardService.add(BoardEntity);
    }

    @RequestMapping("/remove")
    public Result add(Integer[] ids){
        return boardService.remove(ids);
    }

    @RequestMapping("/update")
    public Result update(IndexBoardEntity BoardEntity){
        return boardService.update(BoardEntity);
    }

   /* @RequestMapping("/findAll")
    public Result findAll(){
        return boardService.findAll();
    }*/
   @RequestMapping("/findAll")
   public Result findAll(String name , Integer pageNum , Integer pageSize){
       return boardService.findAll(name,pageNum,pageSize);
   }


}
