package com.huimv.production.controller;

import com.huimv.production.domain.MFattenArea;
import com.huimv.production.result.Result;
import com.huimv.production.service.MFattenAreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController

@RequestMapping("/fattenArea")
public class MFattenAreaController {

	@Autowired
	private MFattenAreaService service;

	@RequestMapping("/add")
	public Result add(MFattenArea childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result add(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(MFattenArea childcareEntity){ return service.update(childcareEntity); }

	@RequestMapping("/findAll")
	public Result findAll(String name , Integer pageNum , Integer pageSize){
		return service.findAll(name,pageNum,pageSize);
	}

	@RequestMapping("/findAllBy")
	public Result findAllBy(Integer locationId){ return service.findAllBy(locationId); }

}
