package com.huimv.production.controller;

import com.huimv.production.domain.MSowArea;
import com.huimv.production.result.Result;
import com.huimv.production.service.MSowAreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController

@RequestMapping("/sowArea")
public class MSowAreaController {

	@Autowired
	private MSowAreaService service;

	@RequestMapping("/add")
	public Result add(MSowArea childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result add(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(MSowArea childcareEntity){ return service.update(childcareEntity); }

	@RequestMapping("/findAll")
	public Result findAll(){ return service.findAll(); }

	@RequestMapping("/findAllBy")
	public Result findAllBy(Integer locationId){ return service.findAllBy(locationId); }

}
