package com.huimv.production.controller;

import com.huimv.production.domain.MSowPigpenTemperature;
import com.huimv.production.result.Result;
import com.huimv.production.service.MSowPigpenTemperatureService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController

@RequestMapping("/sowPigpenTemperature")
public class MSowPigpenTemperatureController {

	@Autowired
	private MSowPigpenTemperatureService service;

	@RequestMapping("/add")
	public Result add(MSowPigpenTemperature childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result add(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(MSowPigpenTemperature childcareEntity){ return service.update(childcareEntity); }

	@RequestMapping("/findAll")
	public Result findAll(){ return service.findAll(); }

}
