package com.huimv.production.controller;

import com.huimv.production.domain.MTransferChildcareEntity;
import com.huimv.production.result.Result;
import com.huimv.production.service.MTransferChildcareService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.production.controller
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/3/9 0009 17:44
 **/
@RestController

@RequestMapping("/transferChildcare")
public class MTransferChildcareController {

    @Autowired
    private MTransferChildcareService childcareService;

    @RequestMapping("/add")
    public Result add(MTransferChildcareEntity childcareEntity){
        return childcareService.add(childcareEntity);
    }

    @RequestMapping("/remove")
    public Result add(Integer[] ids){
        return childcareService.remove(ids);
    }

    @RequestMapping("/update")
    public Result update(MTransferChildcareEntity childcareEntity){
        return childcareService.update(childcareEntity);
    }

    @RequestMapping("/findAll")
    public Result findAll(){
        return childcareService.findAll();
    }

    @RequestMapping("/findAllBy")
    public Result findAllBy(){
        return childcareService.findAllBy();
    }
}
