package com.huimv.production.controller;

import com.huimv.production.domain.YvfeiCount;
import com.huimv.production.result.Result;
import com.huimv.production.service.YvfeiCountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController

@RequestMapping("/YvfeiCount")
public class YvfeiCountController {

	@Autowired
	private YvfeiCountService service;

	@RequestMapping("/add")
	public Result add(YvfeiCount childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result add(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(YvfeiCount childcareEntity){ return service.update(childcareEntity); }

	@RequestMapping("/findAll")
	public Result findAll(){ return service.findAll(); }

@RequestMapping("/findAllById")
public Result findAllById(Integer id){ return service.findAllById(id); }

}
