package com.huimv.production.repo;

import com.huimv.production.domain.MLaborRoomEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface BLaborRoomEntityRepo extends JpaRepository<MLaborRoomEntity, Integer>, JpaSpecificationExecutor<MLaborRoomEntity> {

    List findAllByRoomCode(String roomCode);

    @Query(nativeQuery = true ,value = "select * from m_labor_room where room_code like %?1% limit ?2 , ?3")
    List<MLaborRoomEntity> findAll(String name ,Integer startPage , Integer pageSize);
}