package com.huimv.production.repo;

import com.huimv.production.domain.MFeedDetailEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MFeedDetailEntityRepo extends JpaRepository<MFeedDetailEntity, Integer>, JpaSpecificationExecutor<MFeedDetailEntity> {
        List findAllByRoomCode(String roomCode);

        @Query(nativeQuery = true ,value = "select * from m_feed_detail where feed_date like %?1% limit ?2 , ?3")
        List<MFeedDetailEntity> findAll(String name ,Integer startPage , Integer pageSize);
}