package com.huimv.production.repo;

import com.huimv.production.domain.MSowAnimalHeatEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSowAnimalHeatEntityRepo extends JpaRepository<MSowAnimalHeatEntity, Integer>, JpaSpecificationExecutor<MSowAnimalHeatEntity> {

    List<MSowAnimalHeatEntity> findAllByLocationId(String locationId);

    @Query(nativeQuery = true,value = "SELECT AVG(heat), measure_time FROM `m_sow_animal_heat` GROUP BY measure_time")
    List<List> findAllBy();
}