package com.huimv.production.repo;

import com.huimv.production.domain.MSowFeed;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSowFeedRepository extends JpaRepository<MSowFeed, Integer>,JpaSpecificationExecutor<MSowFeed>{
    List findAllByLocationId(Integer locationId);

    @Query(nativeQuery = true ,value = "select * from m_sow_feed where feed_date like %?1% limit ?2 , ?3")
    List<MSowFeed> findAll(String name ,Integer startPage , Integer pageSize);

}
