package com.huimv.security.repo;

import com.huimv.security.domain.FaceRecoEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.Date;
import java.util.List;

public interface FaceRecoEntityRepository extends JpaRepository<FaceRecoEntity, Integer>, JpaSpecificationExecutor<FaceRecoEntity> {


    @Query(nativeQuery = true,value = "SELECT COUNT(*) AS num,  r.SBID,s.SBMC FROM `face_reco` r ,`face_sbda` s WHERE r.`SBID`=s.`SBID` GROUP BY SBID")
    List findAllByOOrderBySBID();

    List findAllByXGSJBetween(Date startTime,Date endTime);

}