package com.huimv.security.service.impl;

import com.huimv.security.domain.FaceUserImgEntity;
import com.huimv.security.repo.FaceRecoEntityRepository;
import com.huimv.security.repo.FaceUserImgEntityRepository;
import com.huimv.security.result.Result;
import com.huimv.security.service.FaceUserImgService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.security.service.impl
 * @Description : TODO
 * @Author : yuxuexuan
 * @Create : 2021/3/8 0008 10:10
 **/
@Service
public class FaceUserImgServiceImpl implements FaceUserImgService {
    @Autowired
    private FaceUserImgEntityRepository faceUserImgRepository;

    @Override
    public Result upload( String XM, String USERID, MultipartFile file) {
//        try {
        FaceUserImgEntity faceUserImgs = faceUserImgRepository.findAllByUserId(USERID);
        if (faceUserImgs == null) {
            faceUserImgs = new FaceUserImgEntity();
        }
        faceUserImgs.setUserId(USERID);
        faceUserImgs.setUserName(XM);
        try {
            faceUserImgs.setImg(file.getBytes());
        } catch (IOException e) {
            e.printStackTrace();
        }

        faceUserImgRepository.save(faceUserImgs);
        return new Result(10000, "添加成功");
//        }catch (Exception e){
//            return new Result(10001,"添加失败");
//        }

    }

    @Override
    public List findImg() {
        return faceUserImgRepository.findAll();
    }
}
