package com.huimv.environment.repo;

import com.huimv.environment.entity.BaseColumnPeriodEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface BaseColumnPeriodRepo extends JpaRepository<BaseColumnPeriodEntity, Integer>, JpaSpecificationExecutor<BaseColumnPeriodEntity> {
    @Query(nativeQuery = true , value = "SELECT * FROM base_column_period WHERE id IN(SELECT MAX(id) FROM base_column_period WHERE zsid IN(?1) GROUP BY zsid)")
    List<BaseColumnPeriodEntity> getLqid(List<Integer> zsids);
}