package com.huimv.production.controller;

import com.huimv.production.domain.MElectricQuantity;
import com.huimv.production.result.Result;
import com.huimv.production.service.MElectricQuantityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController

@RequestMapping("/electricQuantity")
public class MElectricQuantityController {

	@Autowired
	private MElectricQuantityService service;

	@RequestMapping("/add")
	public Result add(MElectricQuantity childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result add(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(MElectricQuantity childcareEntity){ return service.update(childcareEntity); }


	@RequestMapping("/findAll")
	public Result findAll(String name , Integer pageNum , Integer pageSize){
		return service.findAll(name,pageNum,pageSize);
	}
}
