package com.huimv.production.controller;

import com.huimv.production.domain.MLaborRoomEntity;
import com.huimv.production.result.Result;
import com.huimv.production.service.MLaborRoomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/laborRoom")
public class MLaborRoomController {

	@Autowired
	private MLaborRoomService service;

	@RequestMapping("/add")
	public Result add(MLaborRoomEntity childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result remove(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(MLaborRoomEntity childcareEntity){ return service.update(childcareEntity); }

	@RequestMapping("/findAll")
	public Result findAll(String name , Integer pageNum , Integer pageSize){
		return service.findAll(name,pageNum,pageSize);
	}

}
