package com.huimv.production.controller;

import com.huimv.production.domain.MPigFeed;
import com.huimv.production.result.Result;
import com.huimv.production.service.MPigFeedService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController

@RequestMapping("/pigFeed")
public class MPigFeedController {

	@Autowired
	private MPigFeedService service;

	@RequestMapping("/add")
	public Result add(MPigFeed childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result add(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(MPigFeed childcareEntity){ return service.update(childcareEntity); }

	@RequestMapping("/findAll")
	public Result findAll(){ return service.findAll(); }

}
//****************************