package com.huimv.production.controller;

import com.huimv.production.domain.MPigWater;
import com.huimv.production.result.Result;
import com.huimv.production.service.MPigWaterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController

@RequestMapping("/pigWater")
public class MPigWaterController {

	@Autowired
	private MPigWaterService service;

	@RequestMapping("/add")
	public Result add(MPigWater childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result add(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(MPigWater childcareEntity){ return service.update(childcareEntity); }

	@RequestMapping("/findAll")
	public Result findAll(){ return service.findAll(); }

}
