package com.huimv.production.repo;

import com.huimv.production.domain.MSowLiveness;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface MSowLivenessRepository extends JpaRepository<MSowLiveness, Integer>,JpaSpecificationExecutor<MSowLiveness>{

    List findAllBySowCode(String sowCode);

    @Query(nativeQuery = true ,value = "select * from m_sow_liveness where measure_date like %?1% limit ?2 , ?3")
    List<MSowLiveness> findAll(String name ,Integer startPage , Integer pageSize);

}
