package com.huimv.video.controller;

import com.huimv.video.domain.MobileMemorandum;
import com.huimv.video.result.Result;
import com.huimv.video.service.MobileMemorandumService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController

@RequestMapping("/mobileMemorandum")
public class MobileMemorandumController {

	@Autowired
	private MobileMemorandumService service;

	@RequestMapping("/add")
	public Result add(MobileMemorandum childcareEntity){ return service.add(childcareEntity); }

	@RequestMapping("/remove")
	public Result add(Integer[] ids){ return service.remove(ids); }

	@RequestMapping("/update")
	public Result update(MobileMemorandum childcareEntity){ return service.update(childcareEntity); }

	@RequestMapping("/findAll")
	public Result findAll(){ return service.findAll(); }

	@RequestMapping("/findAllById")
	public Result findAllById(Integer id){ return service.findAllById(id); }

	@RequestMapping("/findAllByUserId")
	public Result findAllByUserId(Integer userId){ return service.findAllByUserId(userId); }

}
