package com.huimv.video.repo;

import com.huimv.video.domain.MobileAttention;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;

public interface MobileAttentionRepository extends JpaRepository<MobileAttention, Integer>,JpaSpecificationExecutor<MobileAttention>{
    List<MobileAttention> findAllByUserIdOrderByIdDesc(Integer userId);

    MobileAttention findByUserIdAndAreaId(Integer userId ,Integer areaId);

    List<MobileAttention> findAllByUserId(Integer userId);
}
